﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace Web.Controllers
{
    public class TestViewModel
    {
        public string Title { get; set; } = "Test";

        public List<GridItemViewModel> DataSource { get; }

        public TestViewModel()
        {
            DataSource = new List<GridItemViewModel>
            {
                new GridItemViewModel { Name = "Joe", Address = new Address{ City="New York", Street="5 E 77th St"}},
                new GridItemViewModel { Name = "Cindy", Address = new Address{ City="Zagreb", Street="Ilica 31"}},
                new GridItemViewModel { Name = "Ben", Address = new Address{ City="Paris", Street="4 Rue Jussieu"}},
                new GridItemViewModel { Name = "Tim", Address = new Address{ City="Berlin", Street="Eisenacher Str. 4"}},
                new GridItemViewModel { Name = "Joe", Address = new Address{ City="New York", Street="5 E 77th St"}},
                new GridItemViewModel { Name = "Cindy", Address = new Address{ City="Zagreb", Street="Ilica 31"}},
                new GridItemViewModel { Name = "Tim", Address = new Address{ City="Berlin", Street="Eisenacher Str. 4"}},
                new GridItemViewModel { Name = "Ben", Address = new Address{ City="Paris", Street="4 Rue Jussieu"}},
            };
        }
    }

    public class Address
    {
        public string City { get; set; }
        public string Street { get; set; }
    }

    public class GridItemViewModel
    {
        static int _id = 0;
        public int Id
        {
            get { return _id; }
            set { _id = value; }
        }

        public string Name { get; set; }

        public Address Address { get;set;}

        public GridItemViewModel()
        {
            _id++;
        }

    }

    public class TestController : Controller
    {
        // GET: Test
        public ActionResult Index()
        {
            var vm = new TestViewModel();
            return View(vm);
        }
    }
}